# workstealing.h File Reference

## Detailed Description

Parallelization of embarrassingly parallel execution by means of work-stealing.

Work stealing is described in

R. D. Blumofe and C. E. Leiserson. Scheduling multithreaded computations by work stealing. Journal of the ACM, 46(5):720–748, 1999.

This file is a GNU parallel extension to the Standard C++ Library.

Definition in file workstealing.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_parallel

## Classes

- struct __gnu_parallel::Job< _DifferenceTp >
    One job for a certain thread. More...

## Defines

- #define _GLIBCXX_JOB_VOLATILE
- #define _GLIBCXX_PARALLEL_WORKSTEALING_H

## Functions

- template<typename RandomAccessIterator, typename Op, typename Fu, typename Red, typename Result> Op __gnu_parallel::for_each_template_random_access_workstealing (RandomAccessIterator begin, RandomAccessIterator end, Op op, Fu &f, Red r, Result base, Result &output, typename std::iterator_traits< RandomAccessIterator >::difference_type bound)